commit a1304e7849e2db54953f6ae1cc8c7cf720841fbe
Author: freddy77 <freddy77>
Date:   Thu Jan 7 13:56:55 2010 +0000

    added small comments

diff --git a/ChangeLog b/ChangeLog
index 3e2c4b4..fc5f130 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Jan  7 14:56:27 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/convert_tds2sql.c: added small comments
+
 Mon Dec 28 14:30:21 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/odbc/convert_tds2sql.c src/odbc/odbc.c:
 	* src/odbc/unittests/getdata.c:
@@ -2032,4 +2035,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2918 2009/12/28 13:30:31 freddy77 Exp $
+$Id: ChangeLog,v 1.2919 2010/01/07 13:56:55 freddy77 Exp $
diff --git a/src/odbc/convert_tds2sql.c b/src/odbc/convert_tds2sql.c
index e661bde..e523362 100644
--- a/src/odbc/convert_tds2sql.c
+++ b/src/odbc/convert_tds2sql.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998-1999  Brian Bruns
- * Copyright (C) 2003-2008  Frediano Ziglio
+ * Copyright (C) 2003-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -42,7 +42,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.69 2009/12/28 13:30:31 freddy77 Exp $");
+TDS_RCSID(var, "$Id: convert_tds2sql.c,v 1.70 2010/01/07 13:56:55 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -78,7 +78,7 @@ odbc_convert_char(TDS_STMT * stmt, TDSCOLUMN * curcol, TDS_CHAR * src, TDS_UINT
 		memset(&conv->suppress, 0, sizeof(conv->suppress));
 		conv->suppress.e2big = 1;
 		err = tds_iconv(tds, conv, to_client, &ib, &il, &ob, &ol);
-		ol = ob - dest;
+		ol = ob - dest; /* bytes written */
 		if (curcol)
 			curcol->column_text_sqlgetdatapos += ib - src;
 		/* terminate string */

